Bug 198121 - Re-add dropped linux-2.6-drm-cripple-r300.patch to v2.6.17
Re-add dropped linux-2.6-drm-cripple-r300.patch to v2.6.17
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks: 197145
  Show dependency treegraph
 
Reported: 2006-07-09 18:56 EDT by Dax Kelson
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version: kernel-2.6.18-1.2798.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 14:00:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
spec file patch to re-add linux-2.6-drm-cripple-r300.patch (932 bytes, patch)
2006-07-18 10:14 EDT, Charles R. Anderson
no flags Details | Diff

  None (edit)
Description Dax Kelson 2006-07-09 18:56:20 EDT
Description of problem:

The re-base to v2.6.17 dropped the patch linux-2.6-drm-cripple-r300.patch.

Without this patch, systems with (at least) the video card "ATI Mobility FireGL
T2" (such as T42p thinkpads) freeze up in X within a few minutes. See bug 197145
for example.

Please re-add this patch.
Comment 1 Charles R. Anderson 2006-07-18 10:13:04 EDT
I took 2.6.17-1.2159_FC5, added back linux-2.6-drm-cripple-r300.patch, rebuilt,
and I've been running the new kernel for an hour now with no hangs.  This is
longer than the original one ran.
Comment 2 Charles R. Anderson 2006-07-18 10:14:33 EDT
Created attachment 132604 [details]
spec file patch to re-add linux-2.6-drm-cripple-r300.patch
Comment 3 Charles R. Anderson 2006-07-21 07:43:08 EDT
My system has been running for almost 3 days without a hang or crash since
re-adding linux-2.6-drm-cripple-r300.patch.
Comment 4 masanari iida 2006-08-25 11:09:01 EDT
Video Radeon 7000RV100/QY)
Kernel kernel-smp-2.6.17-1.2174_FC5
xorg-x11-drv-ati-6.5.8.0-1

Symptom 
Use radeon as a driver with Load dri , X Window freeze within a min.
Use radeon as a driver with Load dri comment out, X Window works ok.
Use vesa as a driver with Load dri, X Window works ok.
Comment 5 Dave Jones 2006-10-16 16:58:12 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 6 Dax Kelson 2006-10-30 14:00:21 EST
With FC6 and the stock Xorg 7.1, and kernel 2.6.18 DRM/DRI with the r300 seems
to work well without freezing.
Comment 7 Adam Huffman 2006-11-13 20:11:28 EST
It still freezes for me using FC6 - I have entered separate bugs for the X
components.
Comment 8 Dax Kelson 2006-11-14 00:08:10 EST
I've yet to have a freeze with FC6.

Thinkpad T42p:

ATI Technologies Inc M10 NT [FireGL Mobility T2] (rev 80)

PCI vendor id: 1002
PCI device id: 4e54

Note You need to log in before you can comment on or make changes to this bug.